diff -uNrd -x ChangeLog ircd-hybrid-6.3/INSTALL xircd/INSTALL
--- ircd-hybrid-6.3/INSTALL	Fri Dec  7 23:12:39 2001
+++ xircd/INSTALL	Sat Apr 13 10:07:16 2002
@@ -1,9 +1,9 @@
-ircd-hybrid-6 INSTALL
+xircd-1 INSTALL
 ---------------------
-$Id: INSTALL,v 1.12 2001/12/08 04:12:39 wcampbel Exp $
+$Id: INSTALL,v 1.2 2002/04/13 14:07:16 reddawg Exp $
 
-hybrid-6 relies upon GNU autoconf.  The following is a transcript of
-recommended procedures that users/administrators of hybrid-6 should
+xircd-1 relies upon GNU autoconf.  The following is a transcript of
+recommended procedures that users/administrators of xircd-1 should
 follow when building and tuning the daemon:
 
 1.  MOST IMPORTANTLY:  Please read "RELNOTES" and "ChangeLog" to get
@@ -63,19 +63,4 @@
 
 HOW TO GET HELP:
 ----------------
-Send Check or Money Order to...  just kidding!  Commercial support for
-ircd-hybrid is not available at this time.
-
-However, all hope is not lost; the Hybrid Mailing List is available for
-general help, and/or questions.  To subscribe, please send Email to
-listmanager@the-project.org with a single line in the body containing
-"subscribe hybrid".
-
-If hybrid crashes on you, PLEASE CONTACT ircd-hybrid@the-project.org
-ASAP with a backtrace of the core.  The hybrid team can't fix bugs if
-no one tells us about them!
-
-If there is a new feature you would like to see in the next major
-release of ircd-hybrid, please post it to the public mailing list,
-hybrid@the-project.org.
-
+Contact dev-com
diff -uNrd -x ChangeLog ircd-hybrid-6.3/LICENSE xircd/LICENSE
--- ircd-hybrid-6.3/LICENSE	Thu Oct  5 23:00:46 2000
+++ xircd/LICENSE	Tue Apr  9 10:00:38 2002
@@ -1,4 +1,4 @@
-$Id: LICENSE,v 1.2 2000/10/06 03:00:46 lusky Exp $
+$Id: LICENSE,v 1.1.1.1 2002/04/09 14:00:38 reddawg Exp $
 
 		    GNU GENERAL PUBLIC LICENSE
 		     Version 1, February 1989
diff -uNrd -x ChangeLog ircd-hybrid-6.3/README.FIRST xircd/README.FIRST
--- ircd-hybrid-6.3/README.FIRST	Sat Feb  2 10:52:17 2002
+++ xircd/README.FIRST	Tue Apr  9 10:00:38 2002
@@ -1,6 +1,6 @@
 ircd-hybrid-6 README
 --------------------
-$Id: README.FIRST,v 1.15 2002/02/02 15:52:17 db Exp $
+$Id: README.FIRST,v 1.1.1.1 2002/04/09 14:00:38 reddawg Exp $
 
 If you don't read this first, we won't help you.
 :-)
diff -uNrd -x ChangeLog ircd-hybrid-6.3/RELNOTES xircd/RELNOTES
--- ircd-hybrid-6.3/RELNOTES	Mon Jan 14 08:35:30 2002
+++ xircd/RELNOTES	Sat Apr 13 10:07:16 2002
@@ -1,172 +1,3 @@
-ircd-hybrid-6.3 Release Notes
+xircd-1 Release Notes
 ---------------------------
-$Id: RELNOTES,v 1.14 2002/01/14 13:35:30 db Exp $
-
-There have been a number of changes done since 6.0 release.
-
-Administrator level
---===============--
-o IP I lines must have usernames as well. i.e.
-  I:*@192.168.0.0/24.... or your IP I lines will mysteriously stop working.
-
-o make install runs properly on cygwin.
-
-o Optional IGNORE_BOGUS_TS code, must be enabled network wide to be
-  effective.
-
-o Freeform I: line spoofing is always enabled, SPOOF_FREEFORM is no
-  longer needed.
-
-o STATS_P_NOTICE was added, when this option is enabled, STATS_NOTICE
-  can be disabled, preserving user privacy, while still allowing opers
-  to see when they are needed.
-
-o HIDE_SERVERS_IPS prevents IP's from being visible to anyone, including
-  server operators.
-
-o The server will not start if it is already running.
-
-o The included mkpasswd program can generate MD5 hashes on systems that
-  support it.  Issue "mkpasswd -m" to generate.
-
-o SERVERHIDE is fully functional, without breaking clients.
-
-o All features not approved for EFnet use are disabled by default.
-  Please look in config.h for more details.
-
-o vimotd and viklines are installed along with viconf.
-
-o P: lines can now be removed if there are no clients on that port.
-
-o RESTART requires the server name, like DIE.
-
-o NO_CREATE_ON_SPLIT will allow users to join existing channel but
-  not create new ones.
-
-Oper level
---======--
-
-o Server splits are now shown in +x mode (previously, only introductions
-  were shown).
-
-o STATS Q, K, D are now formatted correctly.
-
-o UNDLINE is available to opers.
-
-o UNGLINE (local server only) is available to opers
-
-o STATS q (little q only) will show juped channels (mode +j)
-
-o STATS F is available to opers (show TS channel statistics)
-
-o TKLINE expires are shown to opers
-
-o Message targets have changed somewhat:
-  Old $irc.server -> $$irc.server New
-  Old #host.mask  -> $#host.mask  New
-  #host.mask is still supported as a transition aid.
-
-User level
---======--
-
-o The multiple message restriction (PRIVMSG target1,#target2,...)
-  has been removed; any number of targets are now permitted (like
-  Hybrid 5)
-
-Technical level
---===========--
-
-o Hostname checks accept ':' now, to allow for remotely connected IPv6
-  clients.
-
-o TS5 is used by default now.
-
-o The block allocator uses mmap() if it is found.
-
-o Hybrid uses a modified adns based resolver instead of res.c.
-
-o The stock system zlib is now used.
-
-Other documentation
---===============--
-
-Operating system dependencies have been removed, there is no longer any
-special code for AIX, SEQUENT, DYNIX, HPUX, Solaris, or pyr. We have
-made a large effort to remove as many portability issues as possible.
-The code should compile and run on any modern UNIX operating system that
-supports POSIX.1 and ANSI-C. We know the code builds cleanly on BSD,
-Solaris, and Linux. If it fails to work for you, or works on another
-platform not listed here, let us know. We won't make any guarantees
-about changing much to support anything weird, but if including a
-standard header clears up a problem we'll probably do that.  This code
-is known to _not_ compile on AIX.
-
-The code now uses the ANSI-C assert macro in many places, this means
-that if an invariant isn't, the server will core on the spot hopefully.
-Using the assert macro also tends to slow down the code a bit, if you
-like living dangerously and are running the beta, use -DNDEBUG when you
-build the server and it will turn off the asserts. Production servers
-should always be compiled with -DNDEBUG for maximum efficiency. NOTE: If
-you are running a server with the asserts turned on and it cores on you,
-please send us a stack trace if you can.
-  
-Command lines are different for this version of hybrid, most of the old
-flags for debugging and running ircd from a terminal are gone and a
-couple new ones have been added. Valid command line options that require
-compile time options are silently ignored. 
-
-Command line options for this version:
--d filename - specify d:line file
--f filename - specify config file
--h hostname - specify server name
--k filename - specify k:line file
--l filename - specify log file
--n          - do not fork, run in foreground
--v          - print version and exit
--x          - set debug level, if compiled for debug logging
-
-Minimal logging is enabled by default, for the alpha/beta release it is
-set to L_DEBUG in config.h by default, this can be changed to other
-levels if the log gets too noisy (it shouldn't). Look at the log level
-constants in s_log.h for allowable values. A SET option is available
-for setting the value in real time. If you define USE_SYSLOG in your
-config ircd will log to both the ircd.log file and syslog.
-
-Authentication and DNS lookups are handled a bit differently now,
-clients are completely ignored until both auth and DNS have completed.
-This is not significantly different than earlier behavior but you should
-notice slightly faster client connects.
-
-I line handling has changed.  Ident lookups are now always done for
-connecting clients.   An @ in the I line no longer turns off the tilde
-'~' adornment in the case of an unidented client. You must use the
-'-' prefix in the I line to turn off the ~ prefix for an unidented client.
-Clients which do not ident will be sent into the kline/iline matching code
-with a leading ~ character.  i.e. to allow a client onto your server
-without a ~, use an I line such as:
-	I:NOMATCH::-*db@*some.host.on.the.net
-This will match this user, and will remove the ~ as seen on the net.
-
-KNOWN BUGS:
-There is a possibility that ircd will core dump if you there are errors
-in your conf file.
-
-Send bug reports to ircd-hybrid@the-project.org.  If it cored, please
-include a gdb backtrace and a copy of your config.h.
-
-
-Notes
---=--
-
-The best way to get a backtrace of the core is to follow this sequence of
-instructions:
-1.  Change to the directory where the core file is
-2.  Run gdb on the binary and the core file.  With an unmodified Hybrid-6,
-    an example command line is below (in the /usr/local/ircd directory)
-    $ gdb ./ircd ircd.core
-3.  At the "(gdb)" prompt, enter the command "bt"
-4.  Save the output of the backtrace command and send it to
-    ircd-hybrid@the-project.org.
-5.  Be sure to save the ircd binary and the core file in a safe place in
-    case the developers need to look deeper than a backtrace provides.
-
+$Id: RELNOTES,v 1.2 2002/04/13 14:07:16 reddawg Exp $
diff -uNrd -x ChangeLog ircd-hybrid-6.3/Xnet-team xircd/Xnet-team
--- ircd-hybrid-6.3/Xnet-team	Wed Dec 31 19:00:00 1969
+++ xircd/Xnet-team	Wed Apr 10 18:57:12 2002
@@ -0,0 +1,3 @@
+$Id: Xnet-team,v 1.3 2002/04/10 22:57:12 reddawg Exp $
+
+We Are Family
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/adns.h xircd/adns/adns.h
--- ircd-hybrid-6.3/adns/adns.h	Mon Feb  4 09:49:24 2002
+++ xircd/adns/adns.h	Tue Apr  9 10:00:39 2002
@@ -1,5 +1,5 @@
 /*
- * adns.h: $Id: adns.h,v 1.5 2002/02/04 14:49:24 androsyn Exp $
+ * adns.h: $Id: adns.h,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  *  
  */
 /*
@@ -55,7 +55,7 @@
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  *
- *  $Id: adns.h,v 1.5 2002/02/04 14:49:24 androsyn Exp $
+ *  $Id: adns.h,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  */
 
 #ifndef ADNS_H_INCLUDED
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/check.c xircd/adns/check.c
--- ircd-hybrid-6.3/adns/check.c	Tue Dec  4 11:12:10 2001
+++ xircd/adns/check.c	Tue Apr  9 10:00:39 2002
@@ -1,5 +1,5 @@
 /*
- * check.c: $Id: check.c,v 1.2 2001/12/04 16:12:10 androsyn Exp $
+ * check.c: $Id: check.c,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/dlist.h xircd/adns/dlist.h
--- ircd-hybrid-6.3/adns/dlist.h	Tue Dec  4 11:12:11 2001
+++ xircd/adns/dlist.h	Tue Apr  9 10:00:39 2002
@@ -1,5 +1,5 @@
 /*
- * dlist.h: $Id: dlist.h,v 1.3 2001/12/04 16:12:11 androsyn Exp $
+ * dlist.h: $Id: dlist.h,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/event.c xircd/adns/event.c
--- ircd-hybrid-6.3/adns/event.c	Sun Jan 27 23:30:31 2002
+++ xircd/adns/event.c	Tue Apr  9 10:00:39 2002
@@ -1,5 +1,5 @@
 /*
- * event.c: $Id: event.c,v 1.6 2002/01/28 04:30:31 androsyn Exp $
+ * event.c: $Id: event.c,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/general.c xircd/adns/general.c
--- ircd-hybrid-6.3/adns/general.c	Tue Dec  4 11:12:11 2001
+++ xircd/adns/general.c	Tue Apr  9 10:00:39 2002
@@ -1,5 +1,5 @@
 /*
- * general.c: $Id: general.c,v 1.3 2001/12/04 16:12:11 androsyn Exp $
+ * general.c: $Id: general.c,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  *  
  */
 /*
@@ -29,7 +29,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: general.c,v 1.3 2001/12/04 16:12:11 androsyn Exp $
+ * $Id: general.c,v 1.1.1.1 2002/04/09 14:00:39 reddawg Exp $
  */
 
 #include "fileio.h"
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/internal.h xircd/adns/internal.h
--- ircd-hybrid-6.3/adns/internal.h	Tue Feb  5 23:56:09 2002
+++ xircd/adns/internal.h	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * internal.h: $Id: internal.h,v 1.8 2002/02/06 04:56:09 androsyn Exp $
+ * internal.h: $Id: internal.h,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/parse.c xircd/adns/parse.c
--- ircd-hybrid-6.3/adns/parse.c	Sun Jan 27 23:26:09 2002
+++ xircd/adns/parse.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * parse.c: $Id: parse.c,v 1.3 2002/01/28 04:26:09 androsyn Exp $
+ * parse.c: $Id: parse.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/poll.c xircd/adns/poll.c
--- ircd-hybrid-6.3/adns/poll.c	Tue Dec  4 11:12:11 2001
+++ xircd/adns/poll.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * poll.c: $Id: poll.c,v 1.2 2001/12/04 16:12:11 androsyn Exp $
+ * poll.c: $Id: poll.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/query.c xircd/adns/query.c
--- ircd-hybrid-6.3/adns/query.c	Tue Dec  4 11:12:11 2001
+++ xircd/adns/query.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * query.c: $Id: query.c,v 1.4 2001/12/04 16:12:11 androsyn Exp $
+ * query.c: $Id: query.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/reply.c xircd/adns/reply.c
--- ircd-hybrid-6.3/adns/reply.c	Tue Dec  4 11:12:11 2001
+++ xircd/adns/reply.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * reply.c: $Id: reply.c,v 1.5 2001/12/04 16:12:11 androsyn Exp $
+ * reply.c: $Id: reply.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/setup.c xircd/adns/setup.c
--- ircd-hybrid-6.3/adns/setup.c	Mon Feb  4 11:25:02 2002
+++ xircd/adns/setup.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * setup.c: $Id: setup.c,v 1.10 2002/02/04 16:25:02 androsyn Exp $
+ * setup.c: $Id: setup.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/transmit.c xircd/adns/transmit.c
--- ircd-hybrid-6.3/adns/transmit.c	Tue Feb  5 23:56:09 2002
+++ xircd/adns/transmit.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * transmit.c: $Id: transmit.c,v 1.5 2002/02/06 04:56:09 androsyn Exp $
+ * transmit.c: $Id: transmit.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/tvarith.h xircd/adns/tvarith.h
--- ircd-hybrid-6.3/adns/tvarith.h	Tue Dec  4 11:12:11 2001
+++ xircd/adns/tvarith.h	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * tvarith.h: $Id: tvarith.h,v 1.2 2001/12/04 16:12:11 androsyn Exp $
+ * tvarith.h: $Id: tvarith.h,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/adns/types.c xircd/adns/types.c
--- ircd-hybrid-6.3/adns/types.c	Tue Dec  4 11:12:11 2001
+++ xircd/adns/types.c	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * types.c: $Id: types.c,v 1.4 2001/12/04 16:12:11 androsyn Exp $
+ * types.c: $Id: types.c,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  *  
  */
 /*
diff -uNrd -x ChangeLog ircd-hybrid-6.3/autoconf/acconfig.h xircd/autoconf/acconfig.h
--- ircd-hybrid-6.3/autoconf/acconfig.h	Sun Dec  9 14:02:06 2001
+++ xircd/autoconf/acconfig.h	Tue Apr  9 10:00:40 2002
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 1.5 2001/12/09 19:02:06 lusky Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2002/04/09 14:00:40 reddawg Exp $
  */
 
 /* Define only one of POSIX, BSD, or SYSV signals.  */
diff -uNrd -x ChangeLog ircd-hybrid-6.3/autoconf/configure.in xircd/autoconf/configure.in
--- ircd-hybrid-6.3/autoconf/configure.in	Sun Jan 27 23:36:52 2002
+++ xircd/autoconf/configure.in	Tue Apr  9 10:00:41 2002
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 1.28 2002/01/28 04:36:52 androsyn Exp $
+dnl $Id: configure.in,v 1.1.1.1 2002/04/09 14:00:41 reddawg Exp $
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(include/class.h)
 
diff -uNrd -x ChangeLog ircd-hybrid-6.3/autoconf/install-sh xircd/autoconf/install-sh
--- ircd-hybrid-6.3/autoconf/install-sh	Thu Oct  5 23:00:51 2000
+++ xircd/autoconf/install-sh	Tue Apr  9 10:00:41 2002
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 1.4 2000/10/06 03:00:51 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2002/04/09 14:00:41 reddawg Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
diff -uNrd -x ChangeLog ircd-hybrid-6.3/doc/INDEX xircd/doc/INDEX
--- ircd-hybrid-6.3/doc/INDEX	Fri Dec  7 20:59:16 2001
+++ xircd/doc/INDEX	Sat Apr 13 10:13:46 2002
@@ -5,9 +5,6 @@
 Tao-of-IRC.940110     - No comment.
 blalloc.txt           - An overview of Wohali's block allocator.
 example.conf          - Hybrid's example configuration file.
-example.conf.trillian - Trillian's example configuration file, includes some
-                        things that the standard Hybrid conf does not, also
-                        lacks some.
 ircd.8                - ircd's manpage, installed with the daemon, read with
                         'man -M . ircd' in the installed ircd directory.
 mtrie.txt             - A technical guide to the I/K line matching code
@@ -24,4 +21,4 @@
 yline.txt             - A reference guide to Y: lines, and common Y: line
                         issues.
 
-# $Id: INDEX,v 1.3 2001/12/08 01:59:16 wcampbel Exp $
+# $Id: INDEX,v 1.2 2002/04/13 14:13:46 reddawg Exp $
diff -uNrd -x ChangeLog ircd-hybrid-6.3/doc/Makefile xircd/doc/Makefile
--- ircd-hybrid-6.3/doc/Makefile	Thu Oct  5 23:00:53 2000
+++ xircd/doc/Makefile	Tue Apr  9 10:00:41 2002
@@ -16,7 +16,7 @@
 #*   along with this program; if not, write to the Free Software
 #*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #*
-#*   $Id: Makefile,v 1.2 2000/10/06 03:00:53 lusky Exp $
+#*   $Id: Makefile,v 1.1.1.1 2002/04/09 14:00:41 reddawg Exp $
 #*/
 
 all:
diff -uNrd -x ChangeLog ircd-hybrid-6.3/doc/example.conf xircd/doc/example.conf
--- ircd-hybrid-6.3/doc/example.conf	Sun Dec 30 02:50:33 2001
+++ xircd/doc/example.conf	Wed Apr 10 19:01:44 2002
@@ -1,4 +1,4 @@
-#   $Id: example.conf,v 1.35 2001/12/30 07:50:33 db Exp $
+#   $Id: example.conf,v 1.2 2002/04/10 23:01:44 reddawg Exp $
 #   IRC - Internet Relay Chat, doc/example.conf
 #   Copyright (C) 1992, Bill Wisner
 #
@@ -48,12 +48,12 @@
 #        however it defines what port is used by default to connect to
 #        remote servers
 #
-M:hayes.ims.alaska.edu:192.168.1.250:University of Alaska Fairbanks:
+M:someserver.state.country.xnet.org:127.0.0.1:My Server:
 # 
 # A: administrative information. This line should have three fields, which
 #    may contain any arbitrary text. It is printed by the /ADMIN command.
 #
-A:University of Alaska Institute of Marine Science:Fairbanks, AK USA:Bill Wisner <wisner@ims.alaska.edu>
+A:Some Company:Some Address:Some Person <some@email>
 #
 #
 # .include lines, insert a file from DPATH directory into the conf
diff -uNrd -x ChangeLog ircd-hybrid-6.3/doc/server-version-info xircd/doc/server-version-info
--- ircd-hybrid-6.3/doc/server-version-info	Sun Dec 16 00:49:16 2001
+++ xircd/doc/server-version-info	Tue Apr  9 10:00:43 2002
@@ -1,4 +1,4 @@
-$Id: server-version-info,v 1.9 2001/12/16 05:49:16 wcampbel Exp $
+$Id: server-version-info,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $
 Updated for Hybrid 6 (2000/11/26)
 
 When you type /version you will often see something like this:
diff -uNrd -x ChangeLog ircd-hybrid-6.3/doc/simple.conf xircd/doc/simple.conf
--- ircd-hybrid-6.3/doc/simple.conf	Thu Oct  5 23:00:54 2000
+++ xircd/doc/simple.conf	Tue Apr  9 10:00:43 2002
@@ -1,5 +1,5 @@
 # IRC minimal example configuration file
-# $Id: simple.conf,v 1.4 2000/10/06 03:00:54 lusky Exp $
+# $Id: simple.conf,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $
 # 
 # This is a basic ircd.conf that will get you up and running with
 # little or no modifications.  See the example.conf file for more
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/blalloc.h xircd/include/blalloc.h
--- ircd-hybrid-6.3/include/blalloc.h	Thu Nov 29 11:23:16 2001
+++ xircd/include/blalloc.h	Tue Apr  9 10:00:43 2002
@@ -4,7 +4,7 @@
  * Owner:   Wohali (Joan Touzet)
  *
  *
- * $Id: blalloc.h,v 1.5 2001/11/29 16:23:16 androsyn Exp $
+ * $Id: blalloc.h,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $
  */
 #ifndef INCLUDED_blalloc_h
 #define INCLUDED_blalloc_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/channel.h xircd/include/channel.h
--- ircd-hybrid-6.3/include/channel.h	Thu Dec  6 15:56:08 2001
+++ xircd/include/channel.h	Tue Apr  9 10:00:43 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: channel.h,v 1.37 2001/12/06 20:56:08 leeh Exp $
+ * $Id: channel.h,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $
  */
 
 #ifndef INCLUDED_channel_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/class.h xircd/include/class.h
--- ircd-hybrid-6.3/include/class.h	Wed Jul 21 01:45:00 1999
+++ xircd/include/class.h	Tue Apr  9 10:00:43 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: class.h,v 1.5 1999/07/21 05:45:00 tomh Exp $ */
+/* $Id: class.h,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $ */
 
 #ifndef INCLUDED_class_h
 #define INCLUDED_class_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/client.h xircd/include/client.h
--- ircd-hybrid-6.3/include/client.h	Sun Feb 17 00:58:09 2002
+++ xircd/include/client.h	Tue Apr  9 10:00:43 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: client.h,v 1.61 2002/02/17 05:58:09 lusky Exp $
+ * $Id: client.h,v 1.1.1.1 2002/04/09 14:00:43 reddawg Exp $
  */
 #ifndef INCLUDED_client_h
 #define INCLUDED_client_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/common.h xircd/include/common.h
--- ircd-hybrid-6.3/include/common.h	Fri Jul 30 02:48:10 1999
+++ xircd/include/common.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: common.h,v 1.15 1999/07/30 06:48:10 tomh Exp $
+ * $Id: common.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_common_h
 #define INCLUDED_common_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/config.h xircd/include/config.h
--- ircd-hybrid-6.3/include/config.h	Sun Feb 17 00:58:09 2002
+++ xircd/include/config.h	Fri May 24 16:28:21 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h,v 1.153 2002/02/17 05:58:09 lusky Exp $
+ * $Id: config.h,v 1.5 2002/05/24 20:28:21 reddawg Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
@@ -100,8 +100,7 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define SPATH   "ircd"
 #define CPATH   "ircd.conf"
 #define KPATH   "kline.conf"
 #define DLPATH  "kline.conf"
@@ -148,12 +147,12 @@
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */
-#define NETWORK_NAME "EFnet"
+#define NETWORK_NAME "Xnet"
 
 /* NETWORK_DESC
  * Displayed in place of the server info when SERVERHIDE is enabled
  */
-#define NETWORK_DESC "Eris Free Network"
+#define NETWORK_DESC "Xnet IRC Network"
 
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
@@ -208,8 +207,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users"
-#define FNAME_OPERLOG "/usr/local/ircd/opers"
+#define FNAME_USERLOG DPATH "/users"
+#define FNAME_OPERLOG DPATH "/opers"
 
 /* RFC1035_ANAL
  * Defining this causes ircd to reject hostnames with non-compliant chars.
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/config.h.dist xircd/include/config.h.dist
--- ircd-hybrid-6.3/include/config.h.dist	Sun Feb 17 00:58:09 2002
+++ xircd/include/config.h.dist	Thu Apr 11 00:57:24 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h.dist,v 1.132 2002/02/17 05:58:09 lusky Exp $
+ * $Id: config.h.dist,v 1.2 2002/04/11 04:57:24 reddawg Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
@@ -100,8 +100,8 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define DPATH   "/home/xnet/ircd/"
+#define SPATH   "/home/xnet/ircd/ircd"
 #define CPATH   "ircd.conf"
 #define KPATH   "kline.conf"
 #define DLPATH  "kline.conf"
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/dbuf.h xircd/include/dbuf.h
--- ircd-hybrid-6.3/include/dbuf.h	Sat Sep  4 16:21:08 1999
+++ xircd/include/dbuf.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: dbuf.h,v 1.6 1999/09/04 20:21:08 lusky Exp $ */
+/* $Id: dbuf.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $ */
 #ifndef INCLUDED_dbuf_h
 #define INCLUDED_dbuf_h
 #ifndef INCLUDED_config_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/dline_conf.h xircd/include/dline_conf.h
--- ircd-hybrid-6.3/include/dline_conf.h	Tue Jul 17 22:15:19 2001
+++ xircd/include/dline_conf.h	Tue Apr  9 10:00:44 2002
@@ -1,6 +1,6 @@
 /* dline_conf.h  -- lets muse over dlines, shall we?
  *
- * $Id: dline_conf.h,v 1.6 2001/07/18 02:15:19 lusky Exp $ 
+ * $Id: dline_conf.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $ 
  */
 
 #ifndef INCLUDED_dline_conf_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/fdlist.h xircd/include/fdlist.h
--- ircd-hybrid-6.3/include/fdlist.h	Sat Jul 24 03:54:00 1999
+++ xircd/include/fdlist.h	Tue Apr  9 10:00:44 2002
@@ -1,7 +1,7 @@
 /*
  * fdlist.h
  *
- * $Id: fdlist.h,v 1.10 1999/07/24 07:54:00 tomh Exp $
+ * $Id: fdlist.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_fdlist_h
 #define INCLUDED_fdlist_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/fileio.h xircd/include/fileio.h
--- ircd-hybrid-6.3/include/fileio.h	Tue Jul 13 01:58:53 1999
+++ xircd/include/fileio.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: fileio.h,v 1.2 1999/07/13 05:58:53 tomh Exp $
+ * $Id: fileio.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_fileio_h
 #define INCLUDED_fileio_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/flud.h xircd/include/flud.h
--- ircd-hybrid-6.3/include/flud.h	Thu Oct  5 23:00:56 2000
+++ xircd/include/flud.h	Tue Apr  9 10:00:44 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: flud.h,v 1.4 2000/10/06 03:00:56 lusky Exp $ 
+ * $Id: flud.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $ 
  */
 #ifndef INCLUDED_flud_h
 #define INCLUDED_flud_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/hash.h xircd/include/hash.h
--- ircd-hybrid-6.3/include/hash.h	Tue Jul 17 21:37:05 2001
+++ xircd/include/hash.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: hash.h,v 1.9 2001/07/18 01:37:05 lusky Exp $
+ *   $Id: hash.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_hash_h
 #define INCLUDED_hash_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/irc_string.h xircd/include/irc_string.h
--- ircd-hybrid-6.3/include/irc_string.h	Sun Dec  9 21:56:25 2001
+++ xircd/include/irc_string.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: irc_string.h,v 1.17 2001/12/10 02:56:25 jdc Exp $
+ *   $Id: irc_string.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_irc_string_h
 #define INCLUDED_irc_string_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/ircd.h xircd/include/ircd.h
--- ircd-hybrid-6.3/include/ircd.h	Thu Dec 13 18:16:34 2001
+++ xircd/include/ircd.h	Tue Apr  9 10:00:44 2002
@@ -19,7 +19,7 @@
  *
  * "ircd.h". - Headers file.
  *
- * $Id: ircd.h,v 1.21 2001/12/13 23:16:34 leeh Exp $
+ * $Id: ircd.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  *
  */
 #ifndef INCLUDED_ircd_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/ircd_defs.h xircd/include/ircd_defs.h
--- ircd-hybrid-6.3/include/ircd_defs.h	Sun Feb 17 00:58:09 2002
+++ xircd/include/ircd_defs.h	Fri May 24 16:28:22 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_defs.h,v 1.11 2002/02/17 05:58:09 lusky Exp $
+ * $Id: ircd_defs.h,v 1.2 2002/05/24 20:28:22 reddawg Exp $
  *
  * ircd_defs.h - Global size definitions for record entries used
  * througout ircd. Please think 3 times before adding anything to this
@@ -35,14 +35,14 @@
 #define HOSTLEN         63      /* Length of hostname.  Updated to         */
                                 /* comply with RFC1123                     */
 
-#define NICKLEN         9       /* Necessary to put 9 here instead of 10
+#define NICKLEN         16       /* Necessary to put 9 here instead of 10
                                  * if s_msg.c/m_nick has been corrected.
                                  * This preserves compatibility with old
                                  * servers --msa
                                  */
 #define USERLEN         10
 #define REALLEN         50
-#define TOPICLEN        120     /* old value 90, truncated on other servers */
+#define TOPICLEN        170     /* old value 90, truncated on other servers */
 #define KILLLEN         90      
 #define CHANNELLEN      200
 #define KEYLEN          23
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/ircd_signal.h xircd/include/ircd_signal.h
--- ircd-hybrid-6.3/include/ircd_signal.h	Fri Jul 23 01:05:31 1999
+++ xircd/include/ircd_signal.h	Tue Apr  9 10:00:44 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_signal.h,v 1.1 1999/07/23 05:05:31 tomh Exp $
+ * $Id: ircd_signal.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  *
  */
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/list.h xircd/include/list.h
--- ircd-hybrid-6.3/include/list.h	Tue Jul 27 22:42:12 1999
+++ xircd/include/list.h	Tue Apr  9 10:00:44 2002
@@ -20,7 +20,7 @@
  * "list.h". - Headers file.
  *
  *
- * $Id: list.h,v 1.4 1999/07/28 02:42:12 db Exp $
+ * $Id: list.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  *
  */
 
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/listener.h xircd/include/listener.h
--- ircd-hybrid-6.3/include/listener.h	Tue Jul 17 21:37:05 2001
+++ xircd/include/listener.h	Tue Apr  9 10:00:44 2002
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: listener.h,v 1.5 2001/07/18 01:37:05 lusky Exp $
+ * $Id: listener.h,v 1.1.1.1 2002/04/09 14:00:44 reddawg Exp $
  */
 #ifndef INCLUDED_listener_h
 #define INCLUDED_listener_h
diff -uNrd -x ChangeLog ircd-hybrid-6.3/include/m_commands.h xircd/include/m_commands.h
--- ircd-hybrid-6.3/include/m_commands.h	Thu Nov 29 01:28:23 2001
+++ xircd/include/m_commands.h	Wed Apr 10 18:04:05 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_commands.h,v 1.7 2001/11/29 06:28:23 db Exp $
+ * $Id: m_commands.h,v 1.2 2002/04/10 22:04:05 reddawg Exp $
  */
 #ifndef INCLUDED_m_commands_h
 #define INCLUDED_m_commands_h
@@ -99,4 +99,5 @@
 extern int m_dns(struct Client *,struct Client *,int,char **);
 extern int m_htm(struct Client *,struct Client *,int,char **);
 extern int m_set(struct Client *,struct Client *,int,char **);
+extern int m_map(struct Client *,struct Client *,int,char **); //added by Ubu
 #endif /* INCLUDED_m_commands_h */
